<html>
<head>
    <% FwIncludeFile("/web/charset.txt"); %>
    <meta http-equiv="expires" content="0">
	<meta http-equiv="pragma" content="no-cache">	
	<link rel="stylesheet" href="/style.css" type="text/css">
	<script language=javascript>
	<% FwCameraGet("FwModId","PortId","NO_SNAP"); %>  
	<% FwCamCtlGet(); %>	
    <% NssDefAppPorts(); %>
    <% FwGetRtpRtspInfo(); %>

	function GetData() {	
		with( document.all ){
		    var ObjStr, port;
		    var IP = document.location.hostname;
		    var AuthInfo = <% FwGetUser(); %> + ":" + <% FwGetPassEx("0"); %> + "@";
		    var RTSP_SRC = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam" + FWMODID + "_" + Number(PORTID + 1);

		    if (location.protocol == "https:") {
		        port = WEBSPORT;
		    }
		    else {
		        port = document.location.port;
		        if (port == "") {
		            port = 80;
		        }
		    }

		    if (navigator.userAgent.match(/MSIE/i) || navigator.userAgent.match(/Trident/i)) {
		        if (GetOSType()) {
		            ObjStr = "<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830 " +
                            "codebase=<% FwGetActiveXFilePath("VIEWER_OCX2"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION2"); %> " +
                            "width='430' height='300' id=SVMultiChannelMediaCtl></OBJECT>";
		        }
		        else {
		            ObjStr = "<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830 " +
                            "codebase=<% FwGetActiveXFilePath("VIEWER_OCX1"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION1"); %> " +
                            "width='430' height='300' id=SVMultiChannelMediaCtl></OBJECT>"
		        }
		        ViewerArea.innerHTML = ObjStr;

		        channelHandle = SVMultiChannelMediaCtl.CreateChannel(IP, port, "", 0, FWMODID, Number(PORTID) + 1, <% FwGetUser(); %>, <% FwGetPassEx("2"); %>, 0, 5, 0, 0, 0);	
		        SVMultiChannelMediaCtl.SetDrawFit(channelHandle, 2);
		        SVMultiChannelMediaCtl.StartStreaming(channelHandle);
		    }
		    else {
		        ObjStr = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                        "width='430' height='300' controls='False' Volume='200' id='OmniViewer' " +
                        "</EMBED>";

		        document.getElementById("ViewerArea").innerHTML = ObjStr;

		        var options = ":rtsp-tcp";
		        document.getElementById("OmniViewer").playlist.clear();
		        document.getElementById("OmniViewer").playlist.add(RTSP_SRC,"",options);
		        document.getElementById("OmniViewer").playlist.play();
		    }
	
			LensType[0].checked = ((LENSTYPE == 1) ? true : false);
			LensType[1].checked = ((LENSTYPE == 0) ? true : false);
			Brightness.value = BRIGHTNESS;
			ColorGain.value = COLORGAIN;
			Shutter.value = SHUTTER;
			Agc[0].checked = ((AGC == 0) ? true : false);
			Agc[1].checked = ((AGC == 1) ? true : false);
			SensUp.value = SENSUP;
			DayNight.value = DAYNIGHT;
			DayToNightThreshold.value = DAYTONIGHTTHRESHOLD;
			DayToNightDelay.value = DAYTONIGHTDELAY;
			NightToDayThreshold.value = NIGHTTODAYTHRESHOLD;
			NightToDayDelay.value = NIGHTTODAYDELAY;
			Hmirror[0].checked = ((HMIRROR == 1) ? true : false);
			Hmirror[1].checked = ((HMIRROR == 0) ? true : false);
			Vmirror[0].checked = ((VMIRROR == 1) ? true : false);
			Vmirror[1].checked = ((VMIRROR == 0) ? true : false);
			SharpnessOnOff[0].checked = ((SHARPNESSONOFF == 0) ? true : false);
			SharpnessOnOff[1].checked = ((SHARPNESSONOFF == 1) ? true : false);
			SharpnessLevel.value = SHARPNESSLEVEL;
			WdrBlc.value = WDRBLC;
		}
	}	

    if (!navigator.userAgent.match(/MSIE/i) && !navigator.userAgent.match(/Trident/i)) {
        var timer=setInterval('OmniViewerStateChk();', 5000);
    }

    function OmniViewerStateChk() {
        with (document.all) {
            if (!document.getElementById('OmniViewer').playlist.isPlaying) {
                document.getElementById("OmniViewer").playlist.play();
            }
        }
    }
	
	function SetData() {
		with (document.all) {
			if( isNaN(Brightness.value) == true){
				alert("\'" + Brightness.value + "\' is not a number.");
				Brightness.focus();
				return false;
			}
			if(Brightness.value < 1 || Brightness.value > 50) {
				alert("Value should be 1 ~ 50");
				Brightness.focus();
				return false;
			}
			
			if( isNaN(ColorGain.value) == true){
				alert("\'" + ColorGain.value + "\' is not a number.");
				ColorGain.focus();
				return false;
			}
			if(ColorGain.value < 0 || ColorGain.value > 11) {
				alert("Value should be 0 ~ 11");
				ColorGain.focus();
				return false;
			}
			
			if( isNaN(DayToNightThreshold.value) == true){
				alert("\'" + DayToNightThreshold.value + "\' is not a number.");
				DayToNightThreshold.focus();
				return false;
			}
			if(DayToNightThreshold.value < 1 || DayToNightThreshold.value > 100) {
				alert("Value should be 1 ~ 100");
				DayToNightThreshold.focus();
				return false;
			}
			if( isNaN(DayToNightDelay.value) == true){
				alert("\'" + DayToNightDelay.value + "\' is not a number.");
				DayToNightDelay.focus();
				return false;
			}
			if(DayToNightDelay.value < 1 || DayToNightDelay.value > 10) {
				alert("Value should be 1 ~ 10");
				DayToNightDelay.focus();
				return false;
			}
				
			if( isNaN(NightToDayThreshold.value) == true){
				alert("\'" + NightToDayThreshold.value + "\' is not a number.");
				NightToDayThreshold.focus();
				return false;
			}
			if(NightToDayThreshold.value < 1 || NightToDayThreshold.value > 100) {
				alert("Value should be 1 ~ 100");
				NightToDayThreshold.focus();
				return false;
			}
			if( isNaN(NightToDayDelay.value) == true){
				alert("\'" + NightToDayDelay.value + "\' is not a number.");
				NightToDayDelay.focus();
				return false;
			}
			if(NightToDayDelay.value < 1 || NightToDayDelay.value > 10) {
				alert("Value should be 1 ~ 10");
				NightToDayDelay.focus();
				return false;
			}
			
			if( isNaN(SharpnessLevel.value) == true){
				alert("\'" + SharpnessLevel.value + "\' is not a number.");
				SharpnessLevel.focus();
				return false;
			}
			if(SharpnessLevel.value < 1 || SharpnessLevel.value > 30) {
				alert("Value should be 1 ~ 30");
				SharpnessLevel.focus();
				return false;
			}
					
			toback.disabled = true;
			toapply.disabled = true;
		}
	}

	function GetOSType() {
	    var osType = navigator.userAgent;

	    if ((osType.indexOf("NT 5.2") != -1) || (osType.indexOf("NT 5.1") != -1) || (osType.indexOf("NT 5.0") != -1)) { // Not Supported!
	        return false;
	    }
	    else {
	        return true;
	    }
	}
	</script>
</head>

<body class=body_Normal onload="GetData();" topmargin=20>
<form name='cam' method=Post action="/cgi-bin/admin/fwcamctlset.cgi" onSubmit="return SetData();">
	<table align=center>
		<tr>
			<td align=center height=30><font class=text_Title>Camera Control</font></td>
		</tr>
		<tr>
			<td>
				<table align=center class=tbl_Normal cellspacing=0>
					<tr>
						<td colspan="2" align="center" class=td_NormalRight>
                            <div id="ViewerArea"></div>
						</td>
					</tr>
					<tr>
						<td width='195' class=td_NormalLeft>&nbsp;Lens Type</td><td width='235' class=td_NormalRight>
						&nbsp; <input type=radio name=LensType value=1> DC Auto Iris
						&nbsp; <input type=radio name=LensType value=0> Manual
						</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Brightness</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=Brightness size=3 maxlength=2 class=obj_Normal>
						(1 ~ 50)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Color Gain</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=ColorGain size=3 maxlength=2 class=obj_Normal>
						(0 ~ 11)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Manual Shutter Speed</td>
						<td class=td_NormalRight>&nbsp; <select name=Shutter>
						<option value=0>Auto
						<option value=1>1/60
						<option value=2>1/120
						<option value=3>1/250
						<option value=4>1/500
						<option value=5>1/1000
						<option value=6>1/1500
						<option value=7>1/2000
						<option value=8>1/3000
						<option value=9>1/5000
						<option value=10>1/10000 &nbsp;</select> </td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;AGC</td>
						<td class=td_NormalRight>
						&nbsp; <input type=radio name=Agc value=0> Low
						&nbsp;<input type=radio name=Agc value=1> High
						</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;SENS-UP</td>
						<td class=td_NormalRight>&nbsp; <select name=SensUp>
						<option value=0>Off &nbsp;
						<option value=1>Low 
						<option value=2>High </select> </td>	
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Day & Night</td>
						<td class=td_NormalRight>&nbsp; <select name=DayNight>
						<option value=0>Color &nbsp;
						<option value=1>B/W 
						<option value=3>Ext </select> </td>			
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;The threshold of day to night&nbsp;</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=DayToNightThreshold size=4 maxlength=3 class=obj_Normal>
						(1 ~ 100)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Day to Night Delay&nbsp;</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=DayToNightDelay size=4 maxlength=2 class=obj_Normal>
						(1 ~ 10)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;The threshold of night to day</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=NightToDayThreshold size=4 maxlength=3 class=obj_Normal>
						(1 ~ 100)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Night to Day Delay&nbsp;</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=NightToDayDelay size=4 maxlength=2 class=obj_Normal>
						(1 ~ 10)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Hor Mirror Control</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=Hmirror value=1>
						On &nbsp; <input type=radio name=Hmirror value=0>
						Off</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Ver Mirror Control</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=Vmirror value=1>
						On &nbsp; <input type=radio name=Vmirror value=0>
						Off</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Sharpness</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=SharpnessOnOff value=0>
						On &nbsp; <input type=radio name=SharpnessOnOff value=1>
						Off</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Sharpness Level</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=SharpnessLevel size=4 maxlength=2 class=obj_Normal>
						(1 ~ 30)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;WDR/BLC</td>
						<td class=td_NormalRight>&nbsp; <select name=WdrBlc>
						<option value=0>Off
						<option value=1>BLC On
						<option value=2>WDR On
						<option value=10>BLC Low
						<option value=11>BLC Middle
						<option value=12>BLC High
						<option value=13>BLC Ultra &nbsp;</select> </td>
					</tr>
				</table>
			</td>
		<tr>
			<td align=center height=40>
				<input type=hidden name='FwCgiVer' value='0x0001'>
				<input type=hidden name='FwMkChg' value='YES'>
				<input type=hidden name='RetPage' value='/admin/ret_ok.asp'>
				<input type=button name=toback class=obj_Button value=' Back ' onClick="location='videocfg_<% FwGetSensorTypeMapping(); %>.asp?FwModId=<%FwGetParmValue("FwModId");%>'">&nbsp;
				<input type=submit name=toapply value=' Apply ' class=obj_Button>
			</td>
		</tr>
	</table>
</form>
</body>
</html>