<html>
<head>
    <% FwIncludeFile("/web/charset.txt"); %>
    <meta http-equiv="expires" content="0">
	<meta http-equiv="pragma" content="no-cache">	
	<link rel="stylesheet" href="/style.css" type="text/css">
	<script language=javascript>
	<% FwCameraGet("FwModId","PortId","NO_SNAP"); %>  
	<% FwCamCtlGet(); %>		
    <% NssDefAppPorts(); %>
    <% FwGetRtpRtspInfo(); %>

	function GetData() {	
		with( document.all ){
		    var ObjStr, port;
		    var IP = document.location.hostname;
		    var AuthInfo = <% FwGetUser(); %> + ":" + <% FwGetPassEx("0"); %> + "@";
		    var RTSP_SRC = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam" + FWMODID + "_" + Number(PORTID + 1);

		    if (location.protocol == "https:") {
		        port = WEBSPORT;
		    }
		    else {
		        port = document.location.port;
		        if (port == "") {
		            port = 80;
		        }
		    }

		    if (navigator.userAgent.match(/MSIE/i) || navigator.userAgent.match(/Trident/i)) {
		        if (GetOSType()) {
		            ObjStr = "<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830 " +
                            "codebase=<% FwGetActiveXFilePath("VIEWER_OCX2"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION2"); %> " +
                            "width='430' height='300' id=SVMultiChannelMediaCtl></OBJECT>";
		        }
		        else {
		            ObjStr = "<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830 " +
                            "codebase=<% FwGetActiveXFilePath("VIEWER_OCX1"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION1"); %> " +
                            "width='430' height='300' id=SVMultiChannelMediaCtl></OBJECT>"
		        }
		        ViewerArea.innerHTML = ObjStr;

		        channelHandle = SVMultiChannelMediaCtl.CreateChannel(IP, port, "", 0, FWMODID, Number(PORTID) + 1, <% FwGetUser(); %>, <% FwGetPassEx("2"); %>, 0, 5, 0, 0, 0);	
		        SVMultiChannelMediaCtl.SetDrawFit(channelHandle, 2);
		        SVMultiChannelMediaCtl.StartStreaming(channelHandle);
		    }
		    else {
		        ObjStr = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                        "width='430' height='300' controls='False' Volume='200' id='OmniViewer' " +
                        "</EMBED>";

		        document.getElementById("ViewerArea").innerHTML = ObjStr;

		        var options = ":rtsp-tcp";
		        document.getElementById("OmniViewer").playlist.clear();
		        document.getElementById("OmniViewer").playlist.add(RTSP_SRC,"",options);
		        document.getElementById("OmniViewer").playlist.play();
		    }
	
			LensType[0].checked = ((LENSTYPE == 1) ? true : false );
			LensType[1].checked = ((LENSTYPE == 0) ? true : false );
			AutoGainRef.value = AUTOGAINREF;
			BackLight[0].checked = ((BACKLIGHT == 1) ? true : false );
			BackLight[1].checked = ((BACKLIGHT == 0) ? true : false );
			DayNight[0].checked = ((DAYNIGHT == 1) ? true : false );
			DayNight[1].checked = ((DAYNIGHT == 0) ? true : false );
			WhiteBalance[0].checked = ((WHITEBALANCE == 0) ? true : false );
			WhiteBalance[1].checked = ((WHITEBALANCE == 4) ? true : false );
			Gamma.value = GAMMA;
			HSharpness.value = HSHARPNESS;
			VSharpness.value = VSHARPNESS;
			Brightness.value = BRIGHTNESS;
			RHue.value = RHUE;
			BHue.value = BHUE;
			RSaturation.value = RSATURATION;
			BSaturation.value = BSATURATION;
			HMirror[0].checked = ((HMIRROR == 1) ? true : false);
			HMirror[1].checked = ((HMIRROR == 0) ? true : false);
			VMirror[0].checked = ((VMIRROR == 1) ? true : false);
			VMirror[1].checked = ((VMIRROR == 0) ? true : false);
			
			if (WHITEBALANCE == 0) {
				RHue.disabled = true;
				BHue.disabled = true;
				RSaturation.disabled = true;
				BSaturation.disabled = true;
			}
		}
	}	

    if (!navigator.userAgent.match(/MSIE/i) && !navigator.userAgent.match(/Trident/i)) {
        var timer=setInterval('OmniViewerStateChk();', 5000);
    }

    function OmniViewerStateChk() {
        with (document.all) {
            if (!document.getElementById('OmniViewer').playlist.isPlaying) {
                document.getElementById("OmniViewer").playlist.play();
            }
        }
    }

	function ChgWhiteBalance() {
		with (document.all) {
			if (WhiteBalance[0].checked == true) {
				RHue.disabled = true;
				BHue.disabled = true;
				RSaturation.disabled = true;
				BSaturation.disabled = true;
			}
			if (WhiteBalance[1].checked == true) {
				RHue.disabled = false;
				BHue.disabled = false;
				RSaturation.disabled = false;
				BSaturation.disabled = false;
			}
		}
	}

	function SetData() {
		with (document.all) {
			if( isNaN(AutoGainRef.value) == true){
				alert("\'" + AutoGainRef.value + "\' is not a number.");
				AutoGainRef.focus();
				return false;
			}
			if(AutoGainRef.value < 0 || AutoGainRef.value > 30) {
				alert("Value should be 0 ~ 30");
				AutoGainRef.focus();
				return false;
			}
			
			if( isNaN(Gamma.value) == true){
				alert("\'" + Gamma.value + "\' is not a number.");
				Gamma.focus();
				return false;
			}
			if(Gamma.value < 0 || Gamma.value > 7) {
				alert("Value should be 0 ~ 7");
				Gamma.focus();
				return false;
			}

			if( isNaN(HSharpness.value) == true){
				alert("\'" + HSharpness.value + "\' is not a number.");
				HSharpness.focus();
				return false;
			}
			if(HSharpness.value < 0 || HSharpness.value > 15) {
				alert("Value should be 0 ~ 7");
				HSharpness.focus();
				return false;
			}
			
			if( isNaN(VSharpness.value) == true){
				alert("\'" + VSharpness.value + "\' is not a number.");
				VSharpness.focus();
				return false;
			}
			if(VSharpness.value < 0 || VSharpness.value > 15) {
				alert("Value should be 0 ~ 7");
				VSharpness.focus();
				return false;
			}
			
			if( isNaN(Brightness.value) == true){
				alert("\'" + Brightness.value + "\' is not a number.");
				Brightness.focus();
				return false;
			}
			if(Brightness.value < 0 || Brightness.value > 255) {
				alert("Value should be 0 ~ 255");
				Brightness.focus();
				return false;
			}
			
			if( isNaN(RHue.value) == true){
				alert("\'" + RHue.value + "\' is not a number.");
				RHue.focus();
				return false;
			}
			if(RHue.value < 0 || RHue.value > 255) {
				alert("Value should be 0 ~ 255");
				RHue.focus();
				return false;
			}
			
			if( isNaN(BHue.value) == true){
				alert("\'" + BHue.value + "\' is not a number.");
				BHue.focus();
				return false;
			}
			if(BHue.value < 0 || BHue.value > 255) {
				alert("Value should be 0 ~ 255");
				BHue.focus();
				return false;
			}
			
			if( isNaN(RSaturation.value) == true){
				alert("\'" + RSaturation.value + "\' is not a number.");
				RSaturation.focus();
				return false;
			}
			if(RSaturation.value < 0 || RSaturation.value > 255) {
				alert("Value should be 0 ~ 255");
				RSaturation.focus();
				return false;
			}
			
			if( isNaN(BSaturation.value) == true){
				alert("\'" + BSaturation.value + "\' is not a number.");
				BSaturation.focus();
				return false;
			}
			if(BSaturation.value < 0 || BSaturation.value > 255) {
				alert("Value should be 0 ~ 255");
				BSaturation.focus();
				return false;
			}
						
			toback.disabled = true;
			toapply.disabled = true;
		}
	}

	function GetOSType() {
	    var osType = navigator.userAgent;

	    if ((osType.indexOf("NT 5.2") != -1) || (osType.indexOf("NT 5.1") != -1) || (osType.indexOf("NT 5.0") != -1)) { // Not Supported!
	        return false;
	    }
	    else {
	        return true;
	    }
	}
	</script>
</head>

<body class=body_Normal onload="GetData();" topmargin=20>
<form name='cam' method=Post action="/cgi-bin/admin/fwcamctlset.cgi" onSubmit="return SetData();">
	<table align=center>
		<tr>
			<td align=center height=30><font class=text_Title>Camera Control</font></td>
		</tr>
		<tr>
			<td>
				<table align=center class=tbl_Normal cellspacing=0>
					<tr>
						<td colspan="2" align="center" class=td_NormalRight>
                            <div id="ViewerArea"></div>
						</td>
					</tr>
					<tr> 
						<td width='195' class=td_NormalLeft>&nbsp;Shutter Mode</td>
						<td width='235' class=td_NormalRight> &nbsp; <input type=radio name=LensType value=1>
						  Miris &nbsp;&nbsp; <input type=radio name=LensType value=0>
						  Esc </td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Miris Level</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=AutoGainRef size=4 maxlength=2 class=obj_Normal>
						  (0 ~ 30)</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Back Light</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=BackLight value=1>
						  On &nbsp;&nbsp;&nbsp;&nbsp; <input type=radio name=BackLight value=0>
						  Off</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Day & Night Control</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=DayNight value=1>
						  On &nbsp;&nbsp;&nbsp;&nbsp; <input type=radio name=DayNight value=0>
						  Off</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;White Balance</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=WhiteBalance value=0 onClick='ChgWhiteBalance();'>
						  Auto &nbsp; <input type=radio name=WhiteBalance value=4 onClick='ChgWhiteBalance();'>
						  Off </td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Gamma</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=Gamma size=4 maxlength=1 class=obj_Normal>
						  (0 ~ 7)</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Hor Sharpness</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=HSharpness size=4 maxlength=2 class=obj_Normal>
						  (0 ~ 15)</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Ver Sharpness</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=VSharpness size=4 maxlength=2 class=obj_Normal>
						  (0 ~ 15)</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Brightness</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=Brightness size=4 maxlength=3 class=obj_Normal>
						  (0 ~ 255)</td>
					</tr>
					<tr>
						<td colspan="2" align="center" class=td_NormalRight>
							<table align=center class=tbl_Normal cellspacing=0>
							  <tr>
								<td width="100" rowspan='2' class=td_NormalLeft>&nbsp;Hue</td>
								<td width="91" class=td_NormalLeft>&nbsp;RMATC</td>
								<td width="233" class=td_NormalRight>&nbsp; <input type=text name=RHue size=4 maxlength=3 class=obj_Normal> (0 ~ 255)</td>
							  </tr>
							  <tr>
								<td class=td_NormalLeft>&nbsp;BMATC</td>
								<td class=td_NormalRight>&nbsp; <input type=text name=BHue size=4 maxlength=3 class=obj_Normal> (0 ~ 255)</td>
							  </tr>
							  <tr>
								<td rowspan='2' class=td_NormalLeft>&nbsp;Saturation</td>
								<td class=td_NormalLeft>&nbsp;RMATY</td>
								<td class=td_NormalRight>&nbsp; <input type=text name=RSaturation size=4 maxlength=3 class=obj_Normal> (0 ~ 255)</td>
							  </tr>
							  <tr>
								<td class=td_NormalLeft>&nbsp;BMATY</td>
								<td class=td_NormalRight>&nbsp; <input type=text name=BSaturation size=4 maxlength=3 class=obj_Normal> (0 ~ 255)</td>
							  </tr>
							</table>
						</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Hor Mirror Control</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=HMirror value=1>
						  On &nbsp; <input type=radio name=HMirror value=0>
						  Off</td>
					</tr>
					<tr> 
						<td class=td_NormalLeft>&nbsp;Ver Mirror Control</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=VMirror value=1>
						  On &nbsp; <input type=radio name=VMirror value=0>
						  Off</td>
					</tr>
				</table>
			</td>
		<tr>
			<td align=center height=40>
				<input type=hidden name='FwCgiVer' value='0x0001'>
				<input type=hidden name='FwMkChg' value='YES'>
				<input type=hidden name='RetPage' value='/admin/ret_ok.asp'>
				<input type=button name=toback class=obj_Button value=' Back ' onClick="location='videocfg_<% FwGetSensorTypeMapping(); %>.asp?FwModId=<%FwGetParmValue("FwModId");%>'">&nbsp;
				<input type=submit name=toapply value=' Apply ' class=obj_Button>
			</td>
		</tr>
	</table>
</form>
</body>
</html>