<html>
<head>
<% FwIncludeFile("/web/charset.txt"); %>
<title>Omni Viewer</title>
<link rel="stylesheet" href="/style.css" type="text/css">
<style type="text/css">
<!--
.line {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #CCCCCC;
}
.topLine {
	border: 1px solid #CCCCCC;
}
.style_ShortFocus	{border:0; width:76px; height:24px; background:url('/img/btn_ShortFocus.gif')}
.style_ShortOver	{border:0; width:76px; height:24px; background:url('/img/btn_ShortOver.gif')}
-->
</style>
<script language="JavaScript">
    <% FwGetDiDoState("FwModId"); %>
    <% NetDefEth0Cfg(); %>
    <% FwGetRtpRtspInfo(); %>

    var AuthInfo = <% FwGetUser(); %> + ":" + <% FwGetPassEx("0"); %> + "@";
    var IP = document.location.hostname;
    var RTSP_SRC1 = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam<% FwGetParmValue("FwModId"); %>_0";
    var RTSP_SRC2 = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam<% FwGetParmValue("FwModId"); %>_1";
    var RTSP_SRC3 = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam<% FwGetParmValue("FwModId"); %>_2";
    var RTSP_SRC4 = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam<% FwGetParmValue("FwModId"); %>_3";

	function ViewInit() {
	    var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                    "width='320' height='240' controls='False' Volume='200' id='OmniViewer1' " +
                  "</EMBED>";

	    document.getElementById("ViewerArea1").innerHTML = Obj;

	    var options = ":rtsp-tcp";
	    document.getElementById("OmniViewer1").playlist.clear();
	    document.getElementById("OmniViewer1").playlist.add(RTSP_SRC1,"",options);
	    document.getElementById("OmniViewer1").playlist.play();

	    var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                    "width='320' height='240' controls='False' Volume='200' id='OmniViewer2' " +
                  "</EMBED>";

	    document.getElementById("ViewerArea2").innerHTML = Obj;

	    var options = ":rtsp-tcp";
	    document.getElementById("OmniViewer2").playlist.clear();
	    document.getElementById("OmniViewer2").playlist.add(RTSP_SRC2,"",options);
	    document.getElementById("OmniViewer2").playlist.play();

	    var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                    "width='320' height='240' controls='False' Volume='200' id='OmniViewer3' " +
                  "</EMBED>";

	    document.getElementById("ViewerArea3").innerHTML = Obj;

	    var options = ":rtsp-tcp";
	    document.getElementById("OmniViewer3").playlist.clear();
	    document.getElementById("OmniViewer3").playlist.add(RTSP_SRC3,"",options);
	    document.getElementById("OmniViewer3").playlist.play();

	    var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                    "width='320' height='240' controls='False' Volume='200' id='OmniViewer4' " +
                  "</EMBED>";

	    document.getElementById("ViewerArea4").innerHTML = Obj;

	    var options = ":rtsp-tcp";
	    document.getElementById("OmniViewer4").playlist.clear();
	    document.getElementById("OmniViewer4").playlist.add(RTSP_SRC4,"",options);
	    document.getElementById("OmniViewer4").playlist.play();

	    document.getElementById("description1").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 1</font>";
	    document.getElementById("description2").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 2</font>";
	    document.getElementById("description3").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 3</font>";
	    document.getElementById("description4").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 4</font>";
	    var timer=setInterval('OmniViewerStateChk();', 5000);
    }

	function OmniViewerStateChk() {
	    with (document.all) {
	        if (!document.getElementById("OmniViewer1").playlist.isPlaying) {
	            var options = ":rtsp-tcp";
	            document.getElementById("OmniViewer1").playlist.clear();
	            document.getElementById("OmniViewer1").playlist.add(RTSP_SRC1,"",options);
	            document.getElementById("OmniViewer1").playlist.play();
	        }
	        if (!document.getElementById("OmniViewer2").playlist.isPlaying) {
	            var options = ":rtsp-tcp";
	            document.getElementById("OmniViewer2").playlist.clear();
	            document.getElementById("OmniViewer2").playlist.add(RTSP_SRC2,"",options);
	            document.getElementById("OmniViewer2").playlist.play();
	        }
	        if (!document.getElementById("OmniViewer3").playlist.isPlaying) {
	            var options = ":rtsp-tcp";
	            document.getElementById("OmniViewer3").playlist.clear();
	            document.getElementById("OmniViewer3").playlist.add(RTSP_SRC3,"",options);
	            document.getElementById("OmniViewer3").playlist.play();
	        }
	        if (!document.getElementById("OmniViewer4").playlist.isPlaying) {
	            var options = ":rtsp-tcp";
	            document.getElementById("OmniViewer4").playlist.clear();
	            document.getElementById("OmniViewer4").playlist.add(RTSP_SRC4,"",options);
	            document.getElementById("OmniViewer4").playlist.play();
	        }
	    }
	}
	
	function ChgModId() {
		location.href = "multi_view.asp?FwModId=" + document.all.ModSelect.value;
	}
	
	function ChgResolution() {
	    with (document.all) {
	        var ResData = Resolution.value.split(":");

	        switch(CamSelect.value) {
	            case "0" :
	                viewer1.style.visibility = "hidden";
	                OmniViewer1.width = ResData[0];
	                OmniViewer1.height = ResData[1];
	                viewer1.style.visibility = "visible";
	                break;

	            case "1" :
	                viewer2.style.visibility = "hidden";
	                OmniViewer2.width = ResData[0];
	                OmniViewer2.height = ResData[1];
	                viewer2.style.visibility = "visible";
	                break;

	            case "2" :
	                viewer3.style.visibility = "hidden";
	                OmniViewer3.width = ResData[0];
	                OmniViewer3.height = ResData[1];
	                viewer3.style.visibility = "visible";
	                break;

	            case "3" :
	                viewer4.style.visibility = "hidden";
	                OmniViewer4.width = ResData[0];
	                OmniViewer4.height = ResData[1];
	                viewer4.style.visibility = "visible";
	                break;

	            default : break;
	        }
	    }
	}
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="ViewInit();">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#F0F0F0" class="topLine">
  <tr><td valign="top" height="1" bgcolor="#F0F0F0"></td></tr>
  <tr>
    <td valign="top" height="30">
		<table border="0" cellspacing="0" cellpadding="0" align="left" width="778" height="30">
		  <tr>
			<td width="60" align="center">Module : </td>
			<td width="200">
				<select name=ModSelect onChange="ChgModId();" size=1 style="width:200px;">
					<% PxMakeRx_LiveCombo("FwModId", "ComboStyle"); %>
				</select>
			</td>
			<td width="68" align="center">Camera : </td>
			<td width="95">
				<select name=CamSelect size=1 style='width:90px;'>
					<option value=0>Camera 1 
					<option value=1>Camera 2 
					<option value=2>Camera 3 
					<option value=3>Camera 4 
				</select>
			</td>
			<td width="85">Resolution : </td>
			<td width="110">
                <select name='Resolution' onChange='ChgResolution();' style='width:100px;'>
					  <option value="160:112">160x112
					  <option value="320:240" selected>320x240
					  <option value="640:352">640x352
					  <option value="640:480">640x480
					  <option value="704:480">704x480
					  <option value="960:720">960x720
					  <option value="1280:720">1280x720
					  <option value="1280:1024">1280x1024
					  <option value="1920:1080">1920x1080
					  <option value="2048:1536">2048x1536
                 </select>
			</td>
			<td width="80" align="center"><input type=button class="style_ShortFocus" value="Snapshot" onclick="location.href='/cgi-bin/fwcamimgsave.cgi?FwModId=' + document.all.ModSelect.value + '&PortId=' + document.all.CamSelect.value + '&FwCgiVer=0x0001'" title="Snapshot - Save image" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
			<td width="80" align="center"><input type=button class="style_ShortFocus" value="Single" onclick="location.href='single_view.asp?FwModId=' + document.all.ModSelect.value" title="Single View" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr><td valign="top" height="1" bgcolor="#CCCCCC"></td></tr>
  <tr>
    <td align="center" valign="middle" bgcolor="#464646">
		<table border="0" cellpadding="0" cellspacing="0" bgcolor="#464646">
			<tr>
				<td>
                    <div id='viewer1'> 
					    <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						    <tr>
                                <td align="center" bgcolor="#000000"><div id="ViewerArea1"></div></td>
						    </tr>
						    <tr>
							    <td height="20" align="center" valign="middle" bgcolor="#3278A0">
								    <div id="description1"></div>
							    </td>
						    </tr>
					    </table>
                    </div>
				</td>
				<td>
                    <div id='viewer2'> 
					    <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						    <tr>
							    <td align="center" bgcolor="#000000"><div id="ViewerArea2"></div></td>
						    </tr>
						    <tr>
							    <td height="20" align="center" valign="middle" bgcolor="#3278A0">
								    <div id="description2"></div>
							    </td>
						    </tr>
					    </table>
                    </div>
				</td>
			</tr>
			<tr>
				<td>
                    <div id='viewer3'>
					    <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						    <tr>
                                <td align="center" bgcolor="#000000"><div id="ViewerArea3"></div></td>
						    </tr>
						    <tr>
							    <td height="20" align="center" valign="middle" bgcolor="#3278A0">
								    <div id="description3"></div>
							    </td>
						    </tr>
					    </table>
                    </div>
				</td>
				<td>
                    <div id='viewer4'>
					    <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						    <tr>
                                <td align="center" bgcolor="#000000"><div id="ViewerArea4"></div></td>
						    </tr>
						    <tr>
							    <td height="20" align="center" valign="middle" bgcolor="#3278A0">
								    <div id="description4"></div>
							    </td>
						    </tr>
					    </table>
                    </div>
				</td>
			</tr>
		</table>		
	</td>
  </tr>
</table>
</body>
</html>